DeclarableType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: DeclarableType

Package org.apache.geode.cache.configuration

# Class DeclarableType

java.lang.Object
org.apache.geode.cache.configuration.ClassNameType
org.apache.geode.cache.configuration.DeclarableType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `RegionAttributesType.EvictionAttributes.LruHeapPercentage`

@Experimental public class DeclarableType extends ClassNameType implements Serializable
A "declarable" element specifies a Declarable object to be placed in a Region entry.

Java class for declarable-type complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="declarable-type">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
             <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DeclarableType`
  `EMPTY`
  `protected List<ParameterType>`
  `parameters`

  ### Fields inherited from class org.apache.geode.cache.configuration.ClassNameType

  `className`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeclarableType()`
  `DeclarableType(String className)`
  `DeclarableType(String className, String jsonProperties)`
  `DeclarableType(String className, Properties properties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `List<ParameterType>`
  `getParameters()`
  Gets the value of the parameter property.
  `int`
  `hashCode()`
  `void`
  `setParameters(Properties properties)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.geode.cache.configuration.ClassNameType

  `getClassName, setClassName`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### parameters

    protected List<ParameterType> parameters

  - ### EMPTY

    public static final DeclarableType EMPTY

- ## Constructor Details

  - ### DeclarableType

    public DeclarableType()

  - ### DeclarableType

    public DeclarableType(String className)

  - ### DeclarableType

    public DeclarableType(String className, String jsonProperties)

  - ### DeclarableType

    public DeclarableType(String className, Properties properties)

- ## Method Details

  - ### getParameters

    public List<ParameterType> getParameters()
    Gets the value of the parameter property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameter property.

    For example, to add a new item, do as follows:

         getParameters().add(newItem);

    Objects of the following type(s) are allowed in the list `ParameterType`

    Returns:
      `List` of `ParameterType`s.

  - ### setParameters

    public void setParameters(Properties properties)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `ClassNameType`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ClassNameType`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ClassNameType`